Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class OptionPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.OptionPaneUI

Direct Known Subclasses:
  BasicOptionPaneUI, MultiOptionPaneUI

    public abstract class OptionPaneUI

extends ComponentUI

Pluggable look and feel interface for JOptionPane.

Constructor Summary
`OptionPaneUI()`

Method Summary
`abstract boolean` | `containsCustomComponents(JOptionPane op)` Returns true if the user has supplied instances of Component for either the options or message.
`abstract void` | `selectInitialValue(JOptionPane op)` Requests the component representing the default value to have focus.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionPaneUI

    public OptionPaneUI()

Method Detail

### selectInitialValue

    public abstract void selectInitialValue(JOptionPane op)

  Requests the component representing the default value to have focus.

### containsCustomComponents

    public abstract boolean containsCustomComponents(JOptionPane op)

  Returns true if the user has supplied instances of Component for either the options or message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.